# $Revision: 1.14 $, $Date: 2004/08/08 17:46:46 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Crypt
%define	pnam	Twofish2
Summary:	Crypt::Twofish2 - Crypt::CBC compliant Twofish encryption Perl module
Summary(pl):	Crypt::Twofish2 - perlowy modu szyfru Twofish zgodny z Crypt::CBC
Name:		perl-Crypt-Twofish2
Version:	1.0
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6080da5e33ea4e5f9ed7e546bf914817
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements the Twofish cipher in a less braindamaged
(read: slow and ugly) way than the existing "Crypt::Twofish" module.
Although it is "Crypt::CBC" compliant you usually gain nothing by
using that module (except generality), since "Crypt::Twofish2" can
work in either ECB or CBC mode.

%description -l pl
Ten modu jest implementacj szyfru Twofish w mniej debilny (powolny
i paskudny) sposb ni modu Crypt::Twofish. Pomimo tego, e jest
zgodny z Crypt::CBC, nie ma potrzeby uywania tamtego moduu, poniewa
Crypt::Twofish2 moe dziaa zarwno w trybie ECB jak i CBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Twofish2.pm
%dir %{perl_vendorarch}/auto/Crypt/Twofish2
%{perl_vendorarch}/auto/Crypt/Twofish2/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Twofish2/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-Twofish2.spec,v $
Revision 1.14  2004/08/08 17:46:46  adamg
- updated to 1.0

Revision 1.13  2004/06/05 18:10:37  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.12  2004/05/07 01:09:19  ankry
- rel. 3

Revision 1.11  2004/05/06 18:09:27  ankry
- fixed perl-devel BR

Revision 1.10  2004/05/05 11:02:11  ankry
- cosmetics

Revision 1.9  2004/04/20 09:55:38  ankry
- new bconds

Revision 1.8  2004/04/19 20:14:26  ankry
- license fixes and unification

Revision 1.7  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/01 18:46:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:37:45  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:30:07  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/02 20:06:34  qboosh
- new

